FolderListView Class Reference

Folder list view class. More...

`#include <Folder.h>`

Inheritance diagram for FolderListView:

## Public Slots

void | adjustColumns ()

## Signals

void | addFolderItem ()
void | deleteSelection ()
void | dragItems (QList< Q3ListViewItem * > items)
void | dropItems (Q3ListViewItem *dest)
void | renameItem (Q3ListViewItem *item)

## Public Member Functions

| FolderListView (QWidget *parent=0, const char *name=0)

## Protected Slots

void | expandedItem (Q3ListViewItem *item)

## Protected Member Functions

void | contentsDropEvent (QDropEvent *e)
void | contentsMouseDoubleClickEvent (QMouseEvent *e)
void | contentsMouseMoveEvent (QMouseEvent *e)
void | contentsMousePressEvent (QMouseEvent *e)
void | contentsMouseReleaseEvent (QMouseEvent *)
void | enterEvent (QEvent *)
void | keyPressEvent (QKeyEvent *e)
void | startDrag ()

## Private Attributes

bool | mousePressed
QPoint | presspos

## Detailed Description

Folder list view class.

## Constructor & Destructor Documentation

FolderListView::FolderListView | ( | QWidget * | parent = `0`,
|  | const char * | name = `0`
| ) |  |

References expandedItem().

## Member Function Documentation

void FolderListView::addFolderItem | ( |  | ) |

signal

Referenced by keyPressEvent().

void FolderListView::adjustColumns | ( |  | ) |

slot

void FolderListView::contentsDropEvent | ( | QDropEvent * | e | ) |

protected

References dropItems(), and FolderListItem::RTTI.

void FolderListView::contentsMouseDoubleClickEvent | ( | QMouseEvent * | e | ) |

protected

void FolderListView::contentsMouseMoveEvent | ( | QMouseEvent * | e | ) |

protected

References mousePressed, presspos, and startDrag().

void FolderListView::contentsMousePressEvent | ( | QMouseEvent * | e | ) |

protected

References mousePressed, and presspos.

void FolderListView::contentsMouseReleaseEvent | ( | QMouseEvent * |  | ) |

inline protected

References mousePressed.

void FolderListView::deleteSelection | ( |  | ) |

signal

Referenced by keyPressEvent().

void FolderListView::dragItems | ( | QList< Q3ListViewItem * > | items | ) |

signal

Referenced by startDrag().

void FolderListView::dropItems | ( | Q3ListViewItem * | dest | ) |

signal

Referenced by contentsDropEvent().

void FolderListView::enterEvent | ( | QEvent * |  | ) |

inline protected

References mousePressed.

void FolderListView::expandedItem | ( | Q3ListViewItem * | item | ) |

protected slot

Referenced by FolderListView().

void FolderListView::keyPressEvent | ( | QKeyEvent * | e | ) |

protected

References addFolderItem(), deleteSelection(), renameItem(), and FolderListItem::RTTI.

void FolderListView::renameItem | ( | Q3ListViewItem * | item | ) |

signal

Referenced by keyPressEvent().

void FolderListView::startDrag | ( |  | ) |

protected

References dragItems(), and FolderListItem::RTTI.

Referenced by contentsMouseMoveEvent().

## Member Data Documentation

bool FolderListView::mousePressed

private

Referenced by contentsMouseMoveEvent(), contentsMousePressEvent(), contentsMouseReleaseEvent(), and enterEvent().

QPoint FolderListView::presspos

private

Referenced by contentsMouseMoveEvent(), and contentsMousePressEvent().

The documentation for this class was generated from the following files:

- qtiplot/src/core/Folder.h
- qtiplot/src/core/Folder.cpp